Name:		fermilab-util_kx509
Version:	2.1
Release:	1%{?dist}
Summary:	A standalone client to acquire a short-term X.509 certificate

Group:		System Environment/Base
License:	See Doc
URL:		http://www.citi.umich.edu/projects/kerb_pki/
Source0:	%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf automake keyutils-libs krb5-devel 
BuildRequires:	openssl-devel pcre-devel zlib-devel
%if 0%{?rhel} < 6
BuildRequires:	e2fsprogs-devel
BuildRequires:	nss-devel
%define buildroot %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%else
BuildRequires:	libcom_err
BuildRequires:	nss-softokn-freebl
%endif

Requires:	krb5-workstation

%description
kx509 is a standalone client program that acquires a short-term X.509
certificate (with a junk key) from the KCA for a Kerberos-authenticated user.

It stores the certificate in the local user's Kerberos ticket file. 

%prep
%setup -q -n kx509


%build
export CFLAGS="${CFLAGS} -DWRITE_CERT"
%configure --with-libpath=%{_libdir} --with-krb5=%{_prefix} --with-openssl=%{_prefix}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README README-FNAL UMCopyright OVERVIEW
%{_bindir}/kxlist
%{_bindir}/kx509


%changelog
* Tue Aug 13 2013 Pat Riehecky <riehecky@fnal.gov> 2.1-1
* Built from FNAL sources for the fun of it

